Classes
Protocols
Constants
Functions
Macros
Types
Variables

### Classes

STActor
STBundleInfo
STContext
STConversation
STEngine
STEnvironment
STEnvironmentDescription
STFileScript
STLanguageManager
STObjectReference
STRemoteConversation
STScript
STScriptObject
STScriptsManager
STSelector
STUndefinedObject

### Protocols

<STConversation>
<STEnvironmentProcess>
<STMethod>
<STScriptObject>
<STScripting>

### Constants

### Functions

STAllObjectiveCClasses
STAllObjectiveCSelectors
STClassDictionaryWithNames
STConstructMethodSignatureForSelector
STFindAllResources
STFindResource
STGetFoundationConstants
STGetValueOfTypeFromObject
STMethodSignatureForSelector
STObjectFromValueOfType
STSelectorFromString
STSelectorFromValue
STUserConfigPath
STValueFromSelector

### Macros

### Types

### Variables

STGenericException
STInternalInconsistencyException
STInvalidArgumentException
STLanguageBundleExtension
STLanguageBundlesDirectory
STLanguagesConfigFile
STLibraryDirectory
STMallocZone
STModuleExtension
STModulesDirectory
STNil
STScriptExtension
STScriptingEnvironmentExtension
STScriptingEnvironmentsDirectory
STScriptingException
STScriptsDirectory

Up

# STActor class documentation

### Authors

Stefan Urbanek (`urbanek@host.sk`)

Date: Generated at 2026-02-09 22:49:36 +0000

Copyright: (C) 2002 Free Software Foundation

# Software documentation for the STActor class

## STActor : NSObject

> Declared in:
>   StepTalk/STActor.h

> Conforms to:
>   NSCoding

Description forthcoming.

Instance Variables

### Method summary

- +actorInEnvironment:
- -addInstanceVariable:
- -addMethod:
- -environment
- -initWithEnvironment:
- -instanceVariableNames
- -instanceVariables
- -methodDictionary
- -methodNames
- -methodWithName:
- -removeInstanceVariable:
- -removeMethod:
- -removeMethodWithName:
- -setEnvironment:
- -setInstanceVariables:

### actorInEnvironment:

+ (id) actorInEnvironment: (STEnvironment*)env;
Return new instance of script object without any instance variables

### addInstanceVariable:

- (void) addInstanceVariable: (NSString*)aName;
Description forthcoming.

### addMethod:

- (void) addMethod: (id<STMethod>)aMethod;
Description forthcoming.

### environment

- (STEnvironment*) environment;
Description forthcoming.

### initWithEnvironment:

- (id) initWithEnvironment: (STEnvironment*)env;
Description forthcoming.

### instanceVariableNames

- (NSArray*) instanceVariableNames;
Description forthcoming.

### instanceVariables

- (NSDictionary*) instanceVariables;
Description forthcoming.

### methodDictionary

- (NSDictionary*) methodDictionary;
Description forthcoming.

### methodNames

- (NSArray*) methodNames;
Description forthcoming.

### methodWithName:

- (id<STMethod>) methodWithName: (NSString*)aName;
Description forthcoming.

### removeInstanceVariable:

- (void) removeInstanceVariable: (NSString*)aName;
Description forthcoming.

### removeMethod:

- (void) removeMethod: (id<STMethod>)aMethod;
Description forthcoming.

### removeMethodWithName:

- (void) removeMethodWithName: (NSString*)aName;
Description forthcoming.

### setEnvironment:

- (void) setEnvironment: (STEnvironment*)env;
Set object's environment. Note: This method should be replaced by some other, more clever mechanism.

### setInstanceVariables:

- (void) setInstanceVariables: (NSDictionary*)dictionary;
Description forthcoming.

## Instance Variables for STActor Class

### environment

@protected STEnvironment* environment;
Description forthcoming.

### ivars

@protected NSMutableDictionary* ivars;
Description forthcoming.

### methodDictionary

@protected NSMutableDictionary* methodDictionary;
Description forthcoming.

Up